summaryrefslogtreecommitdiffstats
path: root/network/openrdate
diff options
context:
space:
mode:
author slakmagik2010-05-13 00:37:43 +0200
committer David Somero2010-05-13 00:37:43 +0200
commite5e00f5ae09834043cb1975226ea5919fd884a10 (patch)
treec91c6f77d70cd99a30b3a0f248070d33f6095413 /network/openrdate
parent5e7f53d423e38a1b1afb53b337814bda798831b8 (diff)
downloadslackbuilds-e5e00f5ae09834043cb1975226ea5919fd884a10.tar.gz
network/openrdate: Updated for version 1.2
Diffstat (limited to 'network/openrdate')
-rw-r--r--network/openrdate/openrdate.SlackBuild15
-rw-r--r--network/openrdate/openrdate.info2
2 files changed, 13 insertions, 4 deletions
diff --git a/network/openrdate/openrdate.SlackBuild b/network/openrdate/openrdate.SlackBuild
index ac207050ec..99c8620330 100644
--- a/network/openrdate/openrdate.SlackBuild
+++ b/network/openrdate/openrdate.SlackBuild
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -44,15 +47,19 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--bindir=/usr/sbin \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
make
make DESTDIR=$PKG install
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -68,4 +75,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/openrdate/openrdate.info b/network/openrdate/openrdate.info
index 10a13c4dc7..bec3c91e6a 100644
--- a/network/openrdate/openrdate.info
+++ b/network/openrdate/openrdate.info
@@ -2,7 +2,9 @@ PRGNAM="openrdate"
VERSION="1.2"
HOMEPAGE="http://sourceforge.net/projects/openrdate/"
DOWNLOAD="http://downloads.sourceforge.net/openrdate/openrdate-1.2.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="ad9bd58e1fb7babc74d0a0a16a1248a2"
+MD5SUM_x86_64=""
MAINTAINER="slakmagik"
EMAIL="jsun@freeshell.org"
APPROVED="dsomero"